6.0.0-git
2019-03-24

[#11464] Message not found
Summary Message not found
Queue IMP
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester jan (at) horde (dot) org
Created 2012-10-04 (2362 days ago)
Due
Updated 2012-10-15 (2351 days ago)
Assigned 2012-10-07 (2359 days ago)
Resolved 2012-10-09 (2357 days ago)
Milestone
Patch No

History
2012-10-15 20:42:59 Git Commit Comment #8 Reply to this comment
Changes have been made in Git (develop):

commit 079144078526d2dc1807d051fe5a89237b5e220d
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Sat Oct 6 17:05:01 2012 -0600

     Bug #11464: Fix message not found error when trying to load 
preview of a message that was just deleted

  imp/js/dimpbase.js |   12 +++++++-----
  1 files changed, 7 insertions(+), 5 deletions(-)

http://git.horde.org/horde-git/-/commit/079144078526d2dc1807d051fe5a89237b5e220d
2012-10-09 07:46:48 Jan Schneider Comment #7
State ⇒ Resolved
Reply to this comment
Can't reproduce anymore either.
2012-10-09 00:29:27 Michael Slusarz Comment #6 Reply to this comment
Though now, if you return to a mailbox that you left deleting a 
message, that message is again/still loaded to the preview pane.
I don't see this.  Did both of:

1.) Open mailbox.  Quick press down, then delete, then leave mailbox 
before delete completes.
2.) Delete message.  Use mouse to switch mailbox before it completes.

In both cases, opening the original mailbox has the original message 
gone, and no preview message loaded.
2012-10-07 20:48:32 Jan Schneider Comment #5
State ⇒ Assigned
Reply to this comment
Though now, if you return to a mailbox that you left deleting a 
message, that message is again/still loaded to the preview pane.
2012-10-06 23:09:33 Michael Slusarz Comment #4
State ⇒ Resolved
Reply to this comment
Turns out we already captured/returned error messages in the JSON 
response.  We just weren't checking if we should display the error 
message (e.g. the message error refers to the currently viewable 
preview mesage).  Fixed.
2012-10-06 23:05:14 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (master):

commit 079144078526d2dc1807d051fe5a89237b5e220d
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Sat Oct 6 17:05:01 2012 -0600

     Bug #11464: Fix message not found error when trying to load 
preview of a message that was just deleted

  imp/js/dimpbase.js |   12 +++++++-----
  1 files changed, 7 insertions(+), 5 deletions(-)

http://git.horde.org/horde-git/-/commit/079144078526d2dc1807d051fe5a89237b5e220d
2012-10-06 22:59:53 Michael Slusarz Comment #2 Reply to this comment
This is due to the delay in displaying the preview message when using 
keyboard navigation.  The way we handle would be fine except that we 
should not output a "message not found notification" in the server 
code - this is an example where the notification needs to be 
controlled by the browser code instead.
2012-10-04 20:47:08 Jan Schneider Comment #1
Type ⇒ Bug
State ⇒ Assigned
Priority ⇒ 1. Low
Summary ⇒ Message not found
Queue ⇒ IMP
Assigned to Michael Slusarz
Milestone ⇒
Patch ⇒ No
Reply to this comment
I see "Cannot open message" errors when deleting messages. I can 
reliably reproduce this, just hitting Down and Delete quickly after 
navigating to a mailbox.

Saved Queries